Actions APIVaultsSlugUpdate redeem
Read current pending redemption state for a user.
Path Parameters
slug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
redemptionType?string
Redemption route. New requests use the vault default when omitted. Pending and update requests first select an outstanding legacy AtomicQueue request, then use the default. Pass the same explicit type throughout a request lifecycle, especially when both routes have pending shares.
Value in
- "atomicQueue"
- "nest"
redemptionAsset*string
ERC20 address of the desired redemption asset on the requested chain.
Match
^0x[a-fA-F0-9]{40}$chainId*integer
EVM chain ID. Must be one of the supported chains and must match a chain the vault is deployed on.
Range
0 < valueuser*string
User/controller address whose current pending redemption should be read.
Match
^0x[a-fA-F0-9]{40}$Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/vaults/nest-wisdom-vault/update-redeem/pending" \ -H "Content-Type: application/json" \ -d '{ "redemptionAsset": "0x222365ef19f7947e5484218551b56bb3965aa7af", "chainId": 98866, "user": "0x00000000000000000000000000000000000000ab" }'{ "data": { "redemptionType": "nest", "slug": "string", "chainId": 0, "shareTokenAddress": "string", "redemptionAsset": "string", "nestVaultAddress": "string", "user": "string", "pendingShares": "string", "shareDecimals": 0 }}